## GtkMediaControls GtkMediaControls — A widget showing controls for a media stream |

## Functions

GtkWidget * | gtk_media_controls_new ()
GtkMediaStream * | gtk_media_controls_get_media_stream ()
void | gtk_media_controls_set_media_stream ()

## Properties

GtkMediaStream * | media-stream | Read / Write

## Types and Values

| GtkMediaControls

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkMediaControls

## Implemented Interfaces

GtkMediaControls implements AtkImplementorIface, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <gtk/gtk.h>

## Description

GtkMediaControls is a widget to show controls for a GtkMediaStream and giving users a way to use it.

## Functions

### gtk_media_controls_new ()

    GtkWidget *
    gtk_media_controls_new (GtkMediaStream *stream);

Creates a new GtkMediaControls managing the `stream` passed to it.

#### Parameters

stream | a GtkMediaStream to manage or `NULL` for none. | [allow-none][transfer none]

#### Returns

a new GtkMediaControls

### gtk_media_controls_get_media_stream ()

    GtkMediaStream *
    gtk_media_controls_get_media_stream (GtkMediaControls *controls);

Gets the media stream managed by `controls` or `NULL` if none.

#### Parameters

controls | a GtkMediaControls |

#### Returns

The media stream managed by `controls` .

[nullable][transfer none]

### gtk_media_controls_set_media_stream ()

    void
    gtk_media_controls_set_media_stream (GtkMediaControls *controls,
                                         GtkMediaStream *stream);

Sets the stream that is controlled by `controls` .

#### Parameters

controls | a GtkMediaControls widget |
stream | a GtkMediaStream, or `NULL`. | [nullable]

## Types and Values

### GtkMediaControls

    typedef struct _GtkMediaControls GtkMediaControls;

## Property Details

### The `“media-stream”` property

      “media-stream”             GtkMediaStream *

The media-stream managed by this object or `NULL` if none.

Owner: GtkMediaControls

Flags: Read / Write

## See Also

GtkVideo